QGIS Application - Bug report #16213
Symbol Marker line: Deactivate the data-define override button when an incompatible option is set
2017-02-21 05:38 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24123
Description

Symbolize a line layer with the Marker line symbol layer type
In the Marker placement section, you can:

- set a valuef/field/variable to both the two DD buttons,

- check any radio-button (geometric or interval)

I think it should not be possible to have both data-defined buttons activated at the same time.

Even if the setting is saved, | think one of them should be deactivated (and shown as deactivated) according to the "radio-button" option
being checked, i.e if i select "on every vertex" or any-related option, the data-defined button to set an interval value should not be kept
yellow. It should be deactivated

And if i use the interval DD button or the interval spinbox, then the geometric DD button should not be in activated state.

Currently, user could end up with a state in which he does not know which DD is currently being applied

History

#1 - 2017-02-22 01:52 AM - Harrissou Santanna
- Resolution set to invalid
- Status changed from Open to Closed

This issue report assumed that "Interval spinbox" choice was not concerned by the first DD but (a kind of mutually exclusive options) - see #16212. But this

isn't the case and it can make sense to have both DD buttons operating together so | guess it's invalid. Closing...

#2 - 2017-09-22 09:53 AM - Jiirgen Fischer
- Category set to Unknown
